<?php

namespace Scraper\ScraperColisPrive\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TimeInfosObject StructType
 * @subpackage Structs
 */
class TimeInfosObject extends AbstractStructBase
{
    /**
     * The weekday
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $weekday;
    /**
     * The timefrom1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $timefrom1;
    /**
     * The timeto1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $timeto1;
    /**
     * The timefrom2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $timefrom2;
    /**
     * The timeto2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $timeto2;
    /**
     * Constructor method for TimeInfosObject
     * @uses TimeInfosObject::setWeekday()
     * @uses TimeInfosObject::setTimefrom1()
     * @uses TimeInfosObject::setTimeto1()
     * @uses TimeInfosObject::setTimefrom2()
     * @uses TimeInfosObject::setTimeto2()
     * @param string $weekday
     * @param string $timefrom1
     * @param string $timeto1
     * @param string $timefrom2
     * @param string $timeto2
     */
    public function __construct($weekday = null, $timefrom1 = null, $timeto1 = null, $timefrom2 = null, $timeto2 = null)
    {
        $this
            ->setWeekday($weekday)
            ->setTimefrom1($timefrom1)
            ->setTimeto1($timeto1)
            ->setTimefrom2($timefrom2)
            ->setTimeto2($timeto2);
    }
    /**
     * Get weekday value
     * @return string|null
     */
    public function getWeekday()
    {
        return $this->weekday;
    }
    /**
     * Set weekday value
     * @param string $weekday
     * @return \Scraper\ScraperColisPrive\StructType\TimeInfosObject
     */
    public function setWeekday($weekday = null)
    {
        // validation for constraint: string
        if (!is_null($weekday) && !is_string($weekday)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($weekday, true), gettype($weekday)), __LINE__);
        }
        $this->weekday = $weekday;
        return $this;
    }
    /**
     * Get timefrom1 value
     * @return string|null
     */
    public function getTimefrom1()
    {
        return $this->timefrom1;
    }
    /**
     * Set timefrom1 value
     * @param string $timefrom1
     * @return \Scraper\ScraperColisPrive\StructType\TimeInfosObject
     */
    public function setTimefrom1($timefrom1 = null)
    {
        // validation for constraint: string
        if (!is_null($timefrom1) && !is_string($timefrom1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($timefrom1, true), gettype($timefrom1)), __LINE__);
        }
        $this->timefrom1 = $timefrom1;
        return $this;
    }
    /**
     * Get timeto1 value
     * @return string|null
     */
    public function getTimeto1()
    {
        return $this->timeto1;
    }
    /**
     * Set timeto1 value
     * @param string $timeto1
     * @return \Scraper\ScraperColisPrive\StructType\TimeInfosObject
     */
    public function setTimeto1($timeto1 = null)
    {
        // validation for constraint: string
        if (!is_null($timeto1) && !is_string($timeto1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($timeto1, true), gettype($timeto1)), __LINE__);
        }
        $this->timeto1 = $timeto1;
        return $this;
    }
    /**
     * Get timefrom2 value
     * @return string|null
     */
    public function getTimefrom2()
    {
        return $this->timefrom2;
    }
    /**
     * Set timefrom2 value
     * @param string $timefrom2
     * @return \Scraper\ScraperColisPrive\StructType\TimeInfosObject
     */
    public function setTimefrom2($timefrom2 = null)
    {
        // validation for constraint: string
        if (!is_null($timefrom2) && !is_string($timefrom2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($timefrom2, true), gettype($timefrom2)), __LINE__);
        }
        $this->timefrom2 = $timefrom2;
        return $this;
    }
    /**
     * Get timeto2 value
     * @return string|null
     */
    public function getTimeto2()
    {
        return $this->timeto2;
    }
    /**
     * Set timeto2 value
     * @param string $timeto2
     * @return \Scraper\ScraperColisPrive\StructType\TimeInfosObject
     */
    public function setTimeto2($timeto2 = null)
    {
        // validation for constraint: string
        if (!is_null($timeto2) && !is_string($timeto2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($timeto2, true), gettype($timeto2)), __LINE__);
        }
        $this->timeto2 = $timeto2;
        return $this;
    }
}
